/*
** Module   : AppServer.java
** Abstract : Provides API to a P2J client as an agent.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20130529 Created initial version.
** 002 CA  20130705 Change the purpose of this interface to initialize the appserver.
*/

package com.goldencode.p2j.util;

/**
 * Interface defining the launch command for an appserver.  This is used as a network proxy to
 * expose the {@link AppServerLauncher#launch(String)} API for remote requests.
 */
public interface AppServer
{
   /**
    * Launch the specified appserver. This includes starting the specified number of initial 
    * agents.
    * 
    * @param    appServer
    *           The appserver name to launch.
    * 
    * @return   <code>true</code> if the appserver was launched.
    */
   public boolean launch(String appServer);
}
